Page MenuHomePhabricator

Implement static kartotherian service with geojson layer
Closed, ResolvedPublic

Description

For WP, we will need a service that generates static image with all extra data related to the specific article. Kartotherian should generate such image.

Related - https://github.com/jieter/leaflet-headless/issues/3

Event Timeline

Yurik created this task.Jan 20 2016, 2:46 AM
Yurik raised the priority of this task from to Needs Triage.
Yurik updated the task description. (Show Details)
Yurik added a project: Maps.
Yurik added subscribers: Yurik, MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptJan 20 2016, 2:46 AM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
EBernhardson moved this task from Needs triage to Maps on the Discovery board.Feb 11 2016, 11:23 PM
Yurik moved this task from Backlog to Imager on the Maps (Kartotherian) board.Mar 10 2016, 5:52 AM
Yurik added a comment.EditedOct 2 2016, 9:13 PM

I have just implemented the first rough version of the snapshot support. I will revisit this after T147128 is done to add the ExternalData support. For now it simply removes all ExternalData elements, so it will still be possible to develop against it in production.

Yurik reopened this task as Open.Oct 14 2016, 5:42 PM

Gives 400 error now, need to investigate

debt moved this task from Backlog to In progress on the Maps-Sprint board.
Yurik added a comment.Oct 15 2016, 6:14 AM

The problem was found and resolved earlier - it was a bad thursday deploy, had to do another one on friday. all works now.

Yurik closed this task as Resolved.Oct 15 2016, 6:14 AM